/*
 * Copyright (C) 2001-2004 Red Hat Inc. All Rights Reserved.
 *
 * The contents of this file are subject to the CCM Public
 * License (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the
 * License at http://www.redhat.com/licenses/ccmpl.html.
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language
 * governing rights and limitations under the License.
 *
 */
package com.arsdigita.bebop.event;

import com.arsdigita.bebop.FormProcessException;
import java.util.EventListener;

/**
 *  Defines the interface
 * for a class that validates the values of a single parameter.
 *
 *  @author Karl Goldstein 
 *  @author Uday Mathur 
 *  @version $Id: //core-platform/dev/src/com/arsdigita/bebop/event/ParameterListener.java#9 $ */

public interface ParameterListener extends EventListener {

    public static final String versionId = "$Id: //core-platform/dev/src/com/arsdigita/bebop/event/ParameterListener.java#9 $ by $Author: dennis $, $DateTime: 2004/04/07 16:07:11 $";

    /**
     *  Performs a validation check on the data objects associated with a
     *  specific parameter.  Validate should call
     *  ParameterData.addError() with a message regarding the nature
     *  of the error.
     */

    void validate(ParameterEvent e) throws FormProcessException;
}
