/*
 * Copyright (C) 2003-2004 Red Hat Inc. All Rights Reserved.
 *
 * The contents of this file are subject to the CCM Public
 * License (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the
 * License at http://www.redhat.com/licenses/ccmpl.html.
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language
 * governing rights and limitations under the License.
 *
 */
package com.arsdigita.search.intermedia;

/**
 * This class is now deprecated, use the generic search API
 * in the com.arsdigita.search package instead.
 * @deprecated see the com.arsdigita.search package
 **/
public interface SearchIndexHelpCustomize {
    public static final String versionId = "$Id: //core-platform/dev/src/com/arsdigita/search/intermedia/SearchIndexHelpCustomize.java#3 $ by $Author: dennis $, $DateTime: 2004/04/07 16:07:11 $";

    static final String RAW = "RAW";
    static final String XML = "XML";

    /**
     * Method <code>searchIndexHelpFields</code> returns
     * a String array which
     * specifies the customization of the fields to be indexed
     * using the <code>SearchIndexHelp</code>.
     * (<code>SearchIndexHelp</code> methods
     * are used to index the content if the string
     * "Use_SearchIndexHelp" is returned by
     * either the <code>getSearchXMLContent</code>
     * or <code>getSearchRawContent</code> methods).
     * <p>
     * For example, if a DomainObject
     * contains four fields: title, author, start_date,
     * and description; and the "title" and "author"
     * fields are to be indexed using
     * XML, "description" is to be indexed as raw content, and
     * "start_date" should not be indexed; then
     * the String array returned would be the following:
     *<p>
     *<pre>
     *    String[] indexFields = {
     *       "title" + XML,
     *       "author" + XML,
     *       "description + RAW
     *    }
     *</pre>
     * Any field not in the string (such as "start_date" in the above
     * example) is not indexed.
     *
     * @see com.arsdigita.search.SearchIndexHelp
     * @see com.arsdigita.search.Searchable
     * @see com.arsdigita.search.SearchableObserver
     * @see com.arsdigita.search.SearchableACSObject
     *
     * @author Jeff Teeters
     * @version 1.0
     **/
    public String[] searchIndexHelpFields();
}
